QuickFIX: FIX::MessageStore Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MessageStore Class Reference

This interface must be implemented to store and retrieve messages and sequence numbers. More...

`#include <MessageStore.h>`

Inheritance diagram for FIX::MessageStore:
[legend]

List of all members.

## Public Member Functions
virtual | ~MessageStore ()
virtual bool | set (int, const std::string &)=0 throw ( IOException )
virtual void | get (int, int, std::vector< std::string > &) const =0 throw ( IOException )
virtual int | getNextSenderMsgSeqNum () const =0 throw ( IOException )
virtual int | getNextTargetMsgSeqNum () const =0 throw ( IOException )
virtual void | setNextSenderMsgSeqNum (int)=0 throw ( IOException )
virtual void | setNextTargetMsgSeqNum (int)=0 throw ( IOException )
virtual void | incrNextSenderMsgSeqNum ()=0 throw ( IOException )
virtual void | incrNextTargetMsgSeqNum ()=0 throw ( IOException )
virtual UtcTimeStamp | getCreationTime () const =0 throw ( IOException )
virtual void | reset ()=0 throw ( IOException )
virtual void | refresh ()=0 throw ( IOException )

## Detailed Description

This interface must be implemented to store and retrieve messages and sequence numbers.

Definition at line 66 of file MessageStore.h.

## Constructor & Destructor Documentation

virtual FIX::MessageStore::~MessageStore | ( |  | ) | `[inline, virtual]`

Definition at line 69 of file MessageStore.h.

    00069 {}

## Member Function Documentation

virtual void FIX::MessageStore::get | ( | int | ,
|  | int | ,
|  | std::vector< std::string > & |  |
| ) |  |  | const throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::get(), and FIX::MessageStoreExceptionWrapper::get().

virtual UtcTimeStamp FIX::MessageStore::getCreationTime | ( |  | ) | const throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getCreationTime(), and FIX::MessageStoreExceptionWrapper::getCreationTime().

virtual int FIX::MessageStore::getNextSenderMsgSeqNum | ( |  | ) | const throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::getNextSenderMsgSeqNum().

virtual int FIX::MessageStore::getNextTargetMsgSeqNum | ( |  | ) | const throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::getNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::getNextTargetMsgSeqNum().

virtual void FIX::MessageStore::incrNextSenderMsgSeqNum | ( |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::incrNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::incrNextSenderMsgSeqNum().

virtual void FIX::MessageStore::incrNextTargetMsgSeqNum | ( |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::incrNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::incrNextTargetMsgSeqNum().

virtual void FIX::MessageStore::refresh | ( |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::refresh(), and FIX::MessageStoreExceptionWrapper::refresh().

virtual void FIX::MessageStore::reset | ( |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::reset(), and FIX::MessageStoreExceptionWrapper::reset().

virtual bool FIX::MessageStore::set | ( | int | ,
|  | const std::string & |  |
| ) |  |  | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::set(), and FIX::MessageStoreExceptionWrapper::set().

virtual void FIX::MessageStore::setNextSenderMsgSeqNum | ( | int |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::setNextSenderMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::setNextSenderMsgSeqNum().

virtual void FIX::MessageStore::setNextTargetMsgSeqNum | ( | int |  | ) | throw ( IOException )`[pure virtual]`

Implemented in FIX::FileStore, FIX::MemoryStore, FIX::NullStore, and FIX::SessionState.

Referenced by FIX::SessionState::setNextTargetMsgSeqNum(), and FIX::MessageStoreExceptionWrapper::setNextTargetMsgSeqNum().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageStore.h